Bug 169370 - VMware-console fails with X-server abort on .49.2 update
VMware-console fails with X-server abort on .49.2 update
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
: 169369 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2005-09-27 12:01 EDT by Michael Wilmes
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-09 07:41:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Xorg.0.log (54.70 KB, text/plain)
2005-09-27 12:07 EDT, Michael Wilmes
no flags Details
xorg.conf (2.90 KB, text/plain)
2005-09-28 03:40 EDT, Michael Wilmes
no flags Details

  None (edit)
Description Michael Wilmes 2005-09-27 12:01:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
After update from xorg v.45 -> v.49.2 vmware-console (GSX server client gui) aborts when starting a VM. The complete X-Server aborts without further interaction. KDM login screen appears again, all previous KDE session data is lost.

After downgrade to xorg v.45 everything works as expected.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. update xorg to v.49.2
2. startup vmware-console
3. select VM and click on start VM
4. X-server immediately crashes

Actual Results:  X-server immediately crashes

Expected Results:  Selected VM screen should be displayed in vmware-console window.

Additional info:

excerpt from /var/log/messages:

gdm[9078]: gdm_slave_xioerror_handler: Fatal X error - Restarting :0
Comment 1 Michael Wilmes 2005-09-27 12:03:40 EDT
excerp from vmware-serverd.log

Sep 27 17:20:28: app| vmdbPipe_Streams Couldn't read: OVL_STATUS_EOF
Sep 27 17:20:28: app| SP: Deleting user session: 0 username: micki
Sep 27 17:20:28: app| VMServerd IPC closed the connection with thread
/home/micki/vmware/winxp_office/Windows XP Pro Office.vmx (0x95a5a80)
Sep 27 17:20:28: app| Lost connection to /home/micki/vmware/winxp_office/Windows
XP Pro Office.vmx (/home/micki/vmware/winxp_office/Windows XP Pro Office.vmx)
Sep 27 17:20:28: app| vmdbPipe_Streams Couldn't read: OVL_STATUS_EOF
Sep 27 17:20:28: app| VMHS: Connection to VM broken: cfg:
/home/micki/vmware/winxp_office/Windows XP Pro Office.vmx; error: Pipe: Read
failed; state: 3
Sep 27 17:20:28: app| VM suddenly changed state: poweredOff.
Sep 27 17:20:28: app| VM suddenly changed state: poweredOff.
Sep 27 17:20:28: app| VM suddenly changed state: poweredOff.
Sep 27 17:20:28: app| cleanup: cleaned up 1 objects
Comment 2 Michael Wilmes 2005-09-27 12:06:39 EDT
*** Bug 169369 has been marked as a duplicate of this bug. ***
Comment 3 Michael Wilmes 2005-09-27 12:07:29 EDT
Created attachment 119308 [details]
Comment 4 Mike A. Harris 2005-09-27 13:44:24 EDT
Could you attach your X server config file for review also please.

Comment 5 Michael Wilmes 2005-09-28 03:40:03 EDT
Created attachment 119348 [details]
Comment 6 Mike A. Harris 2006-02-09 07:41:50 EST
I've reviewed the file attachments, and there is nothing obvious in the log
which indicates for sure that there is an X bug causing this problem.  This
could just as well be a VMware problem, or a kernel interaction problem of
some sort.  It's also worth noting that we do not officially support systems
which have 3rd party kernel modules such as VMware loaded, so unfortunately
unless there is a way to reproduce this problem without VMware being
installed, there's not a lot we can do.

If you believe that it is indeed a legitimate X bug however, you can write
to the xorg@lists.freedesktop.org mailing list to discuss the problem and
seek technical assistance in diagnosing the issue further.  Alternatively
VMWare technical support may be able to provide further assistance/support.

Setting status to "CANTFIX"  (unsupported software installation, without
any way to reproduce or diagnose without proprietary 3rd party software)

Note You need to log in before you can comment on or make changes to this bug.